summaryrefslogtreecommitdiffstats
path: root/system-build/share/bin/Packages
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-02-02 10:00:00 +0000
commit32322960234c8ec91e0d42835a3ec5ee63305070 (patch)
tree71d79574de0193778ad6cc6c96dfd4f74fa6bbbb /system-build/share/bin/Packages
parentInitial commit. (diff)
downloadopen-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.tar.xz
open-infrastructure-system-tools-32322960234c8ec91e0d42835a3ec5ee63305070.zip
Adding upstream version 20190202.upstream/20190202
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'system-build/share/bin/Packages')
-rwxr-xr-xsystem-build/share/bin/Packages31
1 files changed, 31 insertions, 0 deletions
diff --git a/system-build/share/bin/Packages b/system-build/share/bin/Packages
new file mode 100755
index 0000000..fa6cbba
--- /dev/null
+++ b/system-build/share/bin/Packages
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+## live-build(7) - System Build Scripts
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+set -e
+
+if [ ! -e /usr/bin/grep-aptavail ]
+then
+ echo "E: /usr/bin/grep-aptavail: No such file."
+
+ exit 1
+fi
+
+if [ -z "${2}" ]
+then
+ echo "Usage: $(basename ${0}) FIELD VALUE"
+
+ exit 1
+fi
+
+_FIELD="${1}"
+_VALUE="${2}"
+
+# For compatibility with tasksel, exclude lib and non-main packages
+grep-aptavail -n -sPackage -F${_FIELD} ${_VALUE} -a -! -e -FSection '^(lib|/)' | sort